<bugID>813808<Summary>Show menubar in the titlebar when it's visible</Summary><Description>There are some cases where we show the menubar on its own row:  
* restored windows
* when auto-hiding the menubar (after pressing alt when the menubar is hidden by default)

To simplify the designs, we should always show the menubar in the titlebar. As a side benefit, we will take less height away from content when the menubar is shown.</Description></bugID>